package gov.va.med.pharmacy.persistence.track;

import org.springframework.stereotype.Component;

@Component
public class NcpdpMessageModel {
	
	private Long inboundNcpdpMsgId;
	private String rxMessageId;
	private String relToMessageid;
	private String messageType;
	private String receivedDate;
	private String pharmacyName;
	private String pharmacyAddr1;
	private String pharmacyAddr2;
	private String pharmacyPhone;
	private String pharmacyNcpdpid; 
	private String prescriberFirstName;
	private String prescriberMidName;
	private String prescriberLastName;
	private String prescriberAddr1;
	private String prescriberAddr2;
	private String prescriberNPI;
	private String prescriberDEA;
	private String prescriberStateLic;
	private String prescriberPhone;
	private String prescriberFax;
	private String prescriberAgent;
	private String patientFirstName;
	private String patientMidName;
	private String patientLastName;
	private String patientAddr1;
	private String patientAddr2;
	private String patientDob;
	private String patientGender;
	private String planId;
	private String rxDrugPrescribed;
	private String rxQuantity;
	private String rxDaysSupply;
	private String rxDateWritten;
	private String rxPotencyUnitCode;
	private String rxDrugForm;
	private String rxDrugStrength;
	private String rxRefills;
	private String rxSig;
	private String rxDispenseNotes;
	private String rxComments;
	private String rxGrp;
	private String rxBinNum;
	private String rxPcn;
	private String errorMessage;
	private String patient_chk_status;
	private String provider_chk_status;
	private String drug_chk_status;
	private String message_status;
	private String reqRefno;
	private String resType;
	private String resAprvReasonCd;
	private String resAprvRefno;
	private String resAprvNote;
	private String resAprvWthChngReasonCd; 
	private String resAprvWthChngRefno;
	private String resAprvWthChngNote;
	private String resDenialReasonCd; 
	private String resDenialRefno;
	private String resDenialReason; 
	private String resDenialNrxReasonCd; 
	private String resDenialNrxRefno;
	private String resDenialNrxReason; 
	private String esvDescriptionCode;
	private String esvCode;
	private String esvDescription;
	private String clinicId;
	
	public Long getInboundNcpdpMsgId() {
		return inboundNcpdpMsgId;
	}
	public void setInboundNcpdpMsgId(Long inboundNcpdpMsgId) {
		this.inboundNcpdpMsgId = inboundNcpdpMsgId;
	}
	public String getRxMessageId() {
		return rxMessageId;
	}
	public void setRxMessageId(String rxMessageId) {
		this.rxMessageId = rxMessageId;
	}
	public String getRelToMessageid() {
		return relToMessageid;
	}
	public void setRelToMessageid(String relToMessageid) {
		this.relToMessageid = relToMessageid;
	}
	public String getMessageType() {
		return messageType;
	}
	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}
	public String getReceivedDate() {
		return receivedDate;
	}
	public void setReceivedDate(String receivedDate) {
		this.receivedDate = receivedDate;
	}
	public String getPharmacyName() {
		return pharmacyName;
	}
	public void setPharmacyName(String pharmacyName) {
		this.pharmacyName = pharmacyName;
	}
	public String getPharmacyAddr1() {
		return pharmacyAddr1;
	}
	public void setPharmacyAddr1(String pharmacyAddr1) {
		this.pharmacyAddr1 = pharmacyAddr1;
	}
	public String getPharmacyAddr2() {
		return pharmacyAddr2;
	}
	public void setPharmacyAddr2(String pharmacyAddr2) {
		this.pharmacyAddr2 = pharmacyAddr2;
	}
	public String getPharmacyPhone() {
		return pharmacyPhone;
	}
	public void setPharmacyPhone(String pharmacyPhone) {
		this.pharmacyPhone = pharmacyPhone;
	}
	public String getPrescriberFax() {
		return prescriberFax;
	}
	public void setPrescriberFax(String prescriberFax) {
		this.prescriberFax = prescriberFax;
	}
	public String getPharmacyNcpdpid() {
		return pharmacyNcpdpid;
	}
	public void setPharmacyNcpdpid(String pharmacyNcpdpid) {
		this.pharmacyNcpdpid = pharmacyNcpdpid;
	}
	public String getPrescriberFirstName() {
		return prescriberFirstName;
	}
	public void setPrescriberFirstName(String prescriberFirstName) {
		this.prescriberFirstName = prescriberFirstName;
	}
	public String getPrescriberMidName() {
		return prescriberMidName;
	}
	public void setPrescriberMidName(String prescriberMidName) {
		this.prescriberMidName = prescriberMidName;
	}
	public String getPrescriberLastName() {
		return prescriberLastName;
	}
	public void setPrescriberLastName(String prescriberLastName) {
		this.prescriberLastName = prescriberLastName;
	}
	public String getPrescriberAddr1() {
		return prescriberAddr1;
	}
	public void setPrescriberAddr1(String prescriberAddr1) {
		this.prescriberAddr1 = prescriberAddr1;
	}
	public String getPrescriberAddr2() {
		return prescriberAddr2;
	}
	public void setPrescriberAddr2(String prescriberAddr2) {
		this.prescriberAddr2 = prescriberAddr2;
	}
	public String getPrescriberNPI() {
		return prescriberNPI;
	}
	public void setPrescriberNPI(String prescriberNPI) {
		this.prescriberNPI = prescriberNPI;
	}
	public String getPrescriberDEA() {
		return prescriberDEA;
	}
	public void setPrescriberDEA(String prescriberDEA) {
		this.prescriberDEA = prescriberDEA;
	}
	public String getPrescriberStateLic() {
		return prescriberStateLic;
	}
	public void setPrescriberStateLic(String prescriberStateLic) {
		this.prescriberStateLic = prescriberStateLic;
	}
	public String getPrescriberPhone() {
		return prescriberPhone;
	}
	public void setPrescriberPhone(String prescriberPhone) {
		this.prescriberPhone = prescriberPhone;
	}
	public String getPrescriberAgent() {
		return prescriberAgent;
	}
	public void setPrescriberAgent(String prescriberAgent) {
		this.prescriberAgent = prescriberAgent;
	}
	public String getPatientFirstName() {
		return patientFirstName;
	}
	public void setPatientFirstName(String patientFirstName) {
		this.patientFirstName = patientFirstName;
	}
	public String getPatientMidName() {
		return patientMidName;
	}
	public void setPatientMidName(String patientMidName) {
		this.patientMidName = patientMidName;
	}
	public String getPatientLastName() {
		return patientLastName;
	}
	public void setPatientLastName(String patientLastName) {
		this.patientLastName = patientLastName;
	}
	public String getPatientAddr1() {
		return patientAddr1;
	}
	public void setPatientAddr1(String patientAddr1) {
		this.patientAddr1 = patientAddr1;
	}
	public String getPatientAddr2() {
		return patientAddr2;
	}
	public void setPatientAddr2(String patientAddr2) {
		this.patientAddr2 = patientAddr2;
	}
	public String getPatientDob() {
		return patientDob;
	}
	public void setPatientDob(String patientDob) {
		this.patientDob = patientDob;
	}
	public String getPatientGender() {
		return patientGender;
	}
	public void setPatientGender(String patientGender) {
		this.patientGender = patientGender;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public String getRxDrugPrescribed() {
		return rxDrugPrescribed;
	}
	public void setRxDrugPrescribed(String rxDrugPrescribed) {
		this.rxDrugPrescribed = rxDrugPrescribed;
	}
	public String getRxQuantity() {
		return rxQuantity;
	}
	public void setRxQuantity(String rxQuantity) {
		this.rxQuantity = rxQuantity;
	}
	public String getRxDaysSupply() {
		return rxDaysSupply;
	}
	public void setRxDaysSupply(String rxDaysSupply) {
		this.rxDaysSupply = rxDaysSupply;
	}
	public String getRxDateWritten() {
		return rxDateWritten;
	}
	public void setRxDateWritten(String rxDateWritten) {
		this.rxDateWritten = rxDateWritten;
	}
	public String getRxPotencyUnitCode() {
		return rxPotencyUnitCode;
	}
	public void setRxPotencyUnitCode(String rxPotencyUnitCode) {
		this.rxPotencyUnitCode = rxPotencyUnitCode;
	}
	public String getRxDrugForm() {
		return rxDrugForm;
	}
	public void setRxDrugForm(String rxDrugForm) {
		this.rxDrugForm = rxDrugForm;
	}
	public String getRxDrugStrength() {
		return rxDrugStrength;
	}
	public void setRxDrugStrength(String rxDrugStrength) {
		this.rxDrugStrength = rxDrugStrength;
	}
	public String getRxRefills() {
		return rxRefills;
	}
	public void setRxRefills(String rxRefills) {
		this.rxRefills = rxRefills;
	}
	public String getRxSig() {
		return rxSig;
	}
	public void setRxSig(String rxSig) {
		this.rxSig = rxSig;
	}
	public String getRxDispenseNotes() {
		return rxDispenseNotes;
	}
	public void setRxDispenseNotes(String rxDispenseNotes) {
		this.rxDispenseNotes = rxDispenseNotes;
	}
	public String getRxComments() {
		return rxComments;
	}
	public void setRxComments(String rxComments) {
		this.rxComments = rxComments;
	}
	public String getRxGrp() {
		return rxGrp;
	}
	public void setRxGrp(String rxGrp) {
		this.rxGrp = rxGrp;
	}
	public String getRxBinNum() {
		return rxBinNum;
	}
	public void setRxBinNum(String rxBinNum) {
		this.rxBinNum = rxBinNum;
	}
	public String getRxPcn() {
		return rxPcn;
	}
	public void setRxPcn(String rxPcn) {
		this.rxPcn = rxPcn;
	}
	public String getDataError() {
		return errorMessage;
	}
	public void setDataError(String errorMessage) {
		this.errorMessage= errorMessage;
	}
	public String getErrorMessage() {
		return errorMessage;
	}
	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	public String getPatient_chk_status() {
		return patient_chk_status;
	}
	public void setPatient_chk_status(String patient_chk_status) {
		this.patient_chk_status = patient_chk_status;
	}
	public String getProvider_chk_status() {
		return provider_chk_status;
	}
	public void setProvider_chk_status(String provider_chk_status) {
		this.provider_chk_status = provider_chk_status;
	}
	public String getDrug_chk_status() {
		return drug_chk_status;
	}
	public void setDrug_chk_status(String drug_chk_status) {
		this.drug_chk_status = drug_chk_status;
	}
	public String getMessage_status() {
		return message_status;
	}
	public void setMessage_status(String message_status) {
		this.message_status = message_status;
	}
	public String getReqRefno() {
		return reqRefno;
	}
	public void setReqRefno(String reqRefno) {
		this.reqRefno = reqRefno;
	}
	
	public String getResType() {
		return resType;
	}
	public void setResType(String resType) {
		this.resType = resType;
	}
	public String getResAprvReasonCd() {
		return resAprvReasonCd;
	}
	public void setResAprvReasonCd(String resAprvReasonCd) {
		this.resAprvReasonCd = resAprvReasonCd;
	}
	public String getResAprvRefno() {
		return resAprvRefno;
	}
	public void setResAprvRefno(String resAprvRefno) {
		this.resAprvRefno = resAprvRefno;
	}
	public String getResAprvNote() {
		return resAprvNote;
	}
	public void setResAprvNote(String resAprvNote) {
		this.resAprvNote = resAprvNote;
	}
	public String getResAprvWthChngReasonCd() {
		return resAprvWthChngReasonCd;
	}
	public void setResAprvWthChngReasonCd(String resAprvWthChngReasonCd) {
		this.resAprvWthChngReasonCd = resAprvWthChngReasonCd;
	}
	public String getResAprvWthChngRefno() {
		return resAprvWthChngRefno;
	}
	public void setResAprvWthChngRefno(String resAprvWthChngRefno) {
		this.resAprvWthChngRefno = resAprvWthChngRefno;
	}
	public String getResAprvWthChngNote() {
		return resAprvWthChngNote;
	}
	public void setResAprvWthChngNote(String resAprvWthChngNote) {
		this.resAprvWthChngNote = resAprvWthChngNote;
	}
	public String getResDenialReasonCd() {
		return resDenialReasonCd;
	}
	public void setResDenialReasonCd(String resDenialReasonCd) {
		this.resDenialReasonCd = resDenialReasonCd;
	}
	public String getResDenialRefno() {
		return resDenialRefno;
	}
	public void setResDenialRefno(String resDenialRefno) {
		this.resDenialRefno = resDenialRefno;
	}
	public String getResDenialReason() {
		return resDenialReason;
	}
	public void setResDenialReason(String resDenialReason) {
		this.resDenialReason = resDenialReason;
	}
	public String getResDenialNrxReasonCd() {
		return resDenialNrxReasonCd;
	}
	public void setResDenialNrxReasonCd(String resDenialNrxReasonCd) {
		this.resDenialNrxReasonCd = resDenialNrxReasonCd;
	}
	public String getResDenialNrxRefno() {
		return resDenialNrxRefno;
	}
	public void setResDenialNrxRefno(String resDenialNrxRefno) {
		this.resDenialNrxRefno = resDenialNrxRefno;
	}
	public String getResDenialNrxReason() {
		return resDenialNrxReason;
	}
	public void setResDenialNrxReason(String resDenialNrxReason) {
		this.resDenialNrxReason = resDenialNrxReason;
	}
	public String getEsvDescriptionCode() {
		return esvDescriptionCode;
	}
	public void setEsvDescriptionCode(String esvDescriptionCode) {
		this.esvDescriptionCode = esvDescriptionCode;
	}
	public String getEsvCode() {
		return esvCode;
	}
	public void setEsvCode(String esvCode) {
		this.esvCode = esvCode;
	}
	public String getEsvDescription() {
		return esvDescription;
	}
	public void setEsvDescription(String esvDescription) {
		this.esvDescription = esvDescription;
	}
	public String getClinicId() {
		return clinicId;
	}
	public void setClinicId(String clinicId) {
		this.clinicId = clinicId;
	}

	
}
